Bug 1278866 - On rerun of launch-fusor-undercloud-installer: too many arguments
On rerun of launch-fusor-undercloud-installer: too many arguments
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: John Matthews
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-06 10:23 EST by Thom Carlin
Modified: 2016-10-03 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:09:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-11-06 10:23:02 EST
Description of problem:

After problems with automatic run of launch-fusor-undercloud-installer, reran manually and received error

Version-Release number of selected component (if applicable):

This install was completed from an ISO with the Media ID 1446663134.881279 at 06:52:14 PM on 04 Nov 2015.

How reproducible:

100%

Steps to Reproduce:
1. Install Triple-O ISO
2. Log in to launch-fusor-undercloud-installer
3. After it finishes, rerun launch-fusor-undercloud-installer manually

Actual results:

/usr/sbin/fusor-undercloud-installer: line 41: [: too many arguments

Expected results:

No error

Additional info:

Occurs between "Set your resolvable Fully Qualified Domain Name: " and "Enter the DNS nameserver to use for the Overcloud:"
Comment 1 Thom Carlin 2015-11-06 10:42:45 EST
After DNS, received /usr/sbin/fusor-undercloud-installer: line 42: read: `<valid_ipv4_address>': not a valid identifier
Comment 2 Jason Montleon 2015-12-18 11:24:09 EST
I do not see this when running fusor-undercloud-installer a second time. Stephen reworked reading/setting the DNS entry once or twice so it's possible it was fixed along the way. Can you plesae retry?
Comment 3 Antonin Pagac 2016-01-13 06:17:51 EST
I don't see this error any more, however upon reruning the fusor-undercloud-installer, it outputs these errors/warnings:

"useradd: user 'stack' already exists
mkdir: cannot create directory ‘/tmp/repodata’: File exists"

I don't think it is necessary to display this to an user upon re-running the installer, we probably should anticipate and hide those messages.

Marking this as verified and opening: https://bugzilla.redhat.com/show_bug.cgi?id=1298155

RHCI-6.0-RHEL-7-20160107.t.1-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20160112.t.1-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.